package emotionkb.live.offcn.com.emotionkeyboard.adapter;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by wang.wenlong5 on 2017/3/20.
 */

public class BaseVPAdapter extends FragmentPagerAdapter {

    private List<Fragment> mList;

    private BaseVPAdapter(FragmentManager fm) {
        super(fm);
        mList = new ArrayList<>();
    }

    public BaseVPAdapter(FragmentManager fm, List<Fragment> list) {
        super(fm);
        this.mList = list;
    }

    @Override
    public Fragment getItem(int position) {
        return mList.get(position);
    }

    @Override
    public int getCount() {
        return mList.size();
    }

}
